Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.contentmodel.annotation.internal.provisional
Class CMAnnotationSourceFileLocator

    java.lang.Object
      org.eclipse.jst.jsf.contentmodel.annotation.internal.provisional.CMAnnotationSourceFileLocator

public abstract class CMAnnotationSourceFileLocator
extends java.lang.Object

Used to supply an InputStream to the parser of an annotation meta-data file and the URL to the resource bundle for a properties file, if any. Implementors must provide a zero-argument constructor.

Field Summary
`protected ICMAnnotationSourceFileInfo` | `fileInfo`

Constructor Summary
`CMAnnotationSourceFileLocator()`

Method Summary
`abstract java.io.InputStream` | `getAnnotationSourceInputStream()` Return InputStream to the meta-data annotation.
`protected ICMAnnotationSourceFileInfo` | `getFileInfo()`
`abstract java.util.ResourceBundle` | `getResourceBundle()` Return ResourceBundle for the property files if there are any.
`void` | `setFileInfo(ICMAnnotationSourceFileInfo fileInfo)` Set the ICMAnnotationSourceFileInfo for locator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileInfo

    protected ICMAnnotationSourceFileInfo fileInfo

Constructor Detail

### CMAnnotationSourceFileLocator

    public CMAnnotationSourceFileLocator()

Method Detail

### setFileInfo

    public final void setFileInfo(ICMAnnotationSourceFileInfo fileInfo)

  Set the ICMAnnotationSourceFileInfo for locator

  Parameters:
    `fileInfo` -

### getFileInfo

    protected final ICMAnnotationSourceFileInfo getFileInfo()

  Returns:
    ICMAnnotationSourceFileInfo for the locator

### getAnnotationSourceInputStream

    public abstract java.io.InputStream getAnnotationSourceInputStream()
                                                                throws java.io.IOException

  Return InputStream to the meta-data annotation. Callers are responsble for closing the stream.

  Returns:
    InputStream
  Throws:
    `java.io.IOException`

### getResourceBundle

    public abstract java.util.ResourceBundle getResourceBundle()
                                                        throws java.io.IOException,
                                                               java.util.MissingResourceException

  Return ResourceBundle for the property files if there are any. Return null if not.

  Returns:
    java.util.ResourceBundle
  Throws:
    `java.io.IOException`
    `java.util.MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD